> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getNullifierQueueElements

> Получение поставленных в очередь нуллификаторов для дерева в порядке возрастания последовательности.

## Пагинация очереди

Этот метод предназначен для обслуживания дерева нуллификаторов. Он возвращает `result.elements` в порядке возрастания `seq`, начиная с `startSeq` включительно. Каждый элемент содержит свой порядковый номер и нуллификатор `value` в кодировке base58.

Чтобы получить следующую страницу, задайте для `startSeq` значение последнего возвращённого `seq` плюс один. Пустая страница означает, что в настоящее время проиндексированных элементов больше нет.

## Параметры запроса

**limit** `number` *required*

Максимальное количество возвращаемых элементов: от 1 до 1 000.

**startSeq** `number` (default: 0)

Возвращает элементы очереди, у которых seq больше или равен этому значению.

**treeAccount** `string` *required*

Аккаунт дерева, к которому выполняется запрос. Дерево состояния и дерево нуллификаторов используют один аккаунт.


## OpenAPI

````yaml ru/openapi/privacy/getNullifierQueueElements.yaml POST /v1/spr/getNullifierQueueElements
openapi: 3.0.3
info:
  title: API колец конфиденциальности Solana
  version: 0.51.2
  description: >-
    API индексатора конфиденциальности на основе JSON-RPC для зашифрованного
    состояния, истории, доказательств и записей публичного реестра.
servers:
  - url: https://devnet.helius-rpc.com
    description: API колец конфиденциальности Solana в Devnet
security: []
paths:
  /v1/spr/getNullifierQueueElements:
    post:
      summary: getNullifierQueueElements
      description: >-
        Получает нуллификаторы из очереди для дерева в порядке возрастания
        последовательности.
      operationId: getNullifierQueueElements
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - id
                - method
                - params
              properties:
                id:
                  type: string
                  description: Идентификатор запроса.
                  default: '1'
                jsonrpc:
                  type: string
                  description: Версия протокола JSON-RPC.
                  enum:
                    - '2.0'
                  default: '2.0'
                method:
                  type: string
                  description: >-
                    Вызываемый метод. Должен соответствовать последнему сегменту
                    пути URL.
                  enum:
                    - getNullifierQueueElements
                  default: getNullifierQueueElements
                params:
                  type: object
                  required:
                    - treeAccount
                    - limit
                  properties:
                    limit:
                      allOf:
                        - $ref: '#/components/schemas/Limit'
                      description: >-
                        Максимальное количество возвращаемых элементов: от 1 до
                        1 000.
                    startSeq:
                      type: integer
                      format: uint64
                      description: >-
                        Возвращает элементы из очереди, значение seq которых
                        больше или равно этому значению.
                      minimum: 0
                      maximum: 9223372036854776000
                      default: 0
                    treeAccount:
                      allOf:
                        - $ref: '#/components/schemas/SerializablePubkey'
                      description: >-
                        Аккаунт дерева для запроса. Дерево состояния и дерево
                        нуллификаторов используют один аккаунт.
                  additionalProperties: false
                  example:
                    treeAccount: 33KVhbT4QtdQDrrrGwwThqD47Dh4Q6tA443t9jMNcWFN
                    startSeq: 0
                    limit: 100
            example:
              jsonrpc: '2.0'
              id: '1'
              method: getNullifierQueueElements
              params:
                treeAccount: 33KVhbT4QtdQDrrrGwwThqD47Dh4Q6tA443t9jMNcWFN
                startSeq: 0
                limit: 100
        required: true
      responses:
        '200':
          description: >-
            Ответ JSON-RPC. Проверьте наличие ошибки, прежде чем читать
            результат.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                properties:
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
                  id:
                    type: string
                    description: Идентификатор запроса.
                  jsonrpc:
                    type: string
                    description: Версия протокола JSON-RPC.
                    enum:
                      - '2.0'
                  result:
                    type: object
                    required:
                      - context
                      - elements
                    properties:
                      context:
                        $ref: '#/components/schemas/Context'
                      elements:
                        type: array
                        items:
                          $ref: '#/components/schemas/NullifierQueueElement'
                    additionalProperties: false
        '400':
          description: >-
            Отклонено до выполнения. Несоответствие метода пути, дублирующиеся
            поля метода или пакетный запрос возвращают -32601. Нечитаемое или
            слишком большое тело запроса возвращает -32600.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: >-
                      Идентификатор запроса или null, если тело не является
                      одиночным вызовом JSON-RPC.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
        '429':
          description: Превышен лимит запросов.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: >-
                      Идентификатор запроса или null, если тело не является
                      одиночным вызовом JSON-RPC.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
        '500':
          description: Внутренняя ошибка сервера.
          content:
            application/json:
              schema:
                type: object
                required:
                  - jsonrpc
                  - id
                  - error
                properties:
                  jsonrpc:
                    type: string
                    enum:
                      - '2.0'
                  id:
                    type: string
                    nullable: true
                    description: >-
                      Идентификатор запроса или null, если тело не является
                      одиночным вызовом JSON-RPC.
                  error:
                    type: object
                    required:
                      - code
                      - message
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                      data:
                        type: object
                        additionalProperties: true
      security:
        - ApiKeyQuery: []
components:
  schemas:
    Limit:
      type: integer
      format: uint64
      maximum: 1000
      minimum: 1
    SerializablePubkey:
      type: string
      description: Публичный ключ Solana в кодировке base58.
    Context:
      type: object
      required:
        - blockTime
        - slot
      properties:
        blockTime:
          type: integer
          format: int64
        slot:
          type: integer
          format: uint64
          description: >-
            Самый высокий слот, сохраненный индексатором, для проверки
            актуальности по слотам.
          minimum: 0
    NullifierQueueElement:
      type: object
      description: Один нуллификатор из очереди в порядке входной очереди в блокчейне.
      required:
        - seq
        - value
      properties:
        seq:
          type: integer
          format: uint64
          minimum: 0
        value:
          $ref: '#/components/schemas/Hash'
      additionalProperties: false
    Hash:
      type: string
      description: 32-байтовый хеш в кодировке base58.
  securitySchemes:
    ApiKeyQuery:
      type: apiKey
      in: query
      name: api-key
      description: Ваш ключ API Helius.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.